Bug 504319 - KS Advanced options page missing post kernel parameters
KS Advanced options page missing post kernel parameters
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Partha Aji
Brad Buckingham
http://<hst>/rhn/systems/details/virt...
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-06-05 11:08 EDT by Partha Aji
Modified: 2009-09-10 15:26 EDT (History)
6 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 503608
Environment:
Last Closed: 2009-09-10 15:26:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Partha Aji 2009-06-05 11:08:10 EDT
+++ This bug was initially created as a clone of Bug #503608 +++

The advanced configurations page for both regular Kickstarts and Guest provisioning  needs to have an overrides text box for Post Kernel parameters.
Comment 2 Clifford Perry 2009-06-08 11:31:06 EDT
Based on http://git.fedorahosted.org/git/?p=spacewalk.git;a=commitdiff;h=8146ade6a01bcb61f63b9b73a7ea99273dfdabad which is in master - approved for 530. 

Cliff
Comment 4 Brad Buckingham 2009-06-30 14:15:53 EDT
Satellite-5.3.0-RHEL5-re20090625.0-i386-embedded-oracle.iso

Verified that Systems->system->Virtualization->Provisioning->Advanced Configuration and Systems->system->Provisioning->Advanced Configuration both have an override text box for both Kernel Options and Post Kernel Options.
Comment 5 John Sefler 2009-07-29 15:42:19 EDT
Re-verified on build 7/24 that on both pages outlined in Comment #4, the Kernel Options: and Post Kernel Options: can be overridden using the value from the kickstart distro, the kickstart profile, or a custom value at the time of the kickstart is scheduled.

0  As specified by Kickstart Distribution (ks-rhel-i386-server-5):
(none specified)

O  As specified by Kickstart Profile (kvm_virt_guest_kickstart):
(none specified)

O  Custom:   

Tip: If you would not like any kernel options, select 'Custom' and leave the form field blank.

moving to RELEASE_PENDING
Comment 6 Brandon Perkins 2009-09-10 15:26:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.